complexType "FxRate"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | quotedCurrencyPair?, rate?
</...>

Content Model Elements (2):

  quotedCurrencyPair (defined in FxRate complexType), | rate (defined in FxRate complexType)

All Direct / Indirect Based Elements (3):

  fxRate (defined in Quanto complexType), fxRate (in commission), | fxRate (in fxConversion)

Known Usage Locations

- As direct type of elements (3):

  fxRate (defined in Quanto complexType), fxRate (in commission), | fxRate (in fxConversion)

Annotation
A type describing the rate of a currency conversion: pair of currency, quotation mode and exchange rate.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FxRate"> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="rate" type="xsd:decimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

rate

  Type: | xsd:decimal, predefined, simple content

  The rate of exchange between the two currencies of the leg of a deal. Must be specified with a quote basis.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rate" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.